MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025671Community[OCCT] OCCT:Visualizationpublic2014-12-27 17:422015-05-14 16:28
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025671: Visualization - V3d_View::Convert() does not work as expected in GRID active mode
DescriptionTo reproduce the issue:
1. Set a grid plane with difference location and orientation to default grid plane.
2. Activate Rectangular or Circular grid with aViewer->ActivateGrid.

The AIS_InteractiveContext::MoveTo also affected by this issue.

OCCT6.7.1 works well, it just occurs in OCCT6.8.0.
Steps To Reproducebugs/vis/bug25671
Additional information
and documentation updates
Change list: see commit message

Porting notes:

V3d_View::Convert and V3d_View::ConvertWithProj() do not return point on the active grid anymore. It might be necessary to revise code of your application and explicitly call V3d_View::ConvertToGrid() for the values returned by V3d_View::Convert to get analogous coordinates on the grid. The methods V3d_View::Convert and V3d_View::ConvertWithProj convert point into reference plane of the view corresponding to the intersection with the projection plane of the eye/view point vector - exactly as described in documentation.
TagsNo tags attached.
Test case numberbugs vis(004) bug25671
Attached Files

- Relationships
related to 0025672closedbugmaster V3d_View::ConvertToGrid doesn't work for grid if the grid plane's origin is not identical to camera origin. 

-  Notes
(0035819)
Vico Liang (developer)
2014-12-27 17:50

These two classes of V3d_View have the same issue in grid mode:
void Convert (const Standard_Integer Xp, const Standard_Integer Yp, V3d_Coordinate& X, V3d_Coordinate& Y, V3d_Coordinate& Z) const;

void ConvertWithProj (const Standard_Integer Xp, const Standard_Integer Yp, V3d_Coordinate& X, V3d_Coordinate& Y, V3d_Coordinate& Z, Quantity_Parameter& Vx, Quantity_Parameter& Vy, Quantity_Parameter& Vz) const;

I see there are grid convertion operation in these two methods. I don't think they are needed becasue the convertion result of these two methods should present in the view reference plane rather than in grid plane.
(0039661)
git (administrator)
2015-04-14 08:26

Branch CR25671 has been created by apl.

SHA-1: 67f3bbd094bbcfb83b6e119a02269b6a1d223864


Detailed log of new commits:

Author: apl
Date: Mon Apr 13 20:49:14 2015 +0300

    0025671: V3d_View::Convert doesn't work as expected in GRID active mode.
    
    Removed code of converting coordinates to grid in V3d_View::Convert, ::ConvertWithProj methods.
    Added test case verifying MoveTo with activated grid and testing V3d_View::Convert, ::ConvertWithProj methods.
    Added new test command "vconvert" for testing the conversion methods.
(0039662)
apl (developer)
2015-04-14 08:41

Dear Kirill,

Please review branch CR25671.
(0039663)
kgv (developer)
2015-04-14 08:46

Please test the patch.
(0039800)
apv (tester)
2015-04-15 17:50

Dear BugMaster,

Branch CR25671 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 67f3bbd094bbcfb83b6e119a02269b6a1d223864

Number of compiler warnings:
occt component:
   Linux: 20 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)
There are ne additional warnings on Linux:
1. ViewerTest_ViewerCommands.cxx:4998, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around ‘&&’ within ‘||’
2. ViewerTest_ViewerCommands.cxx:4999, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around ‘&&’ within ‘||’

Regressions/Differences:
Not detected

Testing cases:
bugs vis(004) bug25671 - OK
http://occt-tests/CR25671-master-occt-64/Debian60-64/bugs/vis/bug25671.html [^]
http://occt-tests/CR25671-master-occt-64/Windows-64-VC10/bugs/vis/bug25671.html [^]

Testing on Linux:
Total MEMORY difference: 94018424 / 94206774 [-0.20%]
Total CPU difference: 50979.31999999938 / 56192.6999999997 [-9.28%]

Testing on Windows:
Total MEMORY difference: 57130315 / 57127464 [+0.00%]
Total CPU difference: 16189.56537859898 / 15976.530412998898 [+1.33%]
(0039801)
git (administrator)
2015-04-15 17:58

Branch CR25671 has been updated by apl.

SHA-1: 734939e886487b77024b068e4c156a23901b6f12


Detailed log of new commits:

Author: apl
Date: Wed Apr 15 17:58:35 2015 +0300

    gcc compilation warnings

(0039802)
apl (developer)
2015-04-15 17:59

Dear Kirill,

Please review changes in CR25671 - fixed compilation warnings.
(0039803)
kgv (developer)
2015-04-15 18:03

Please take updated patch for integration, no need to re-test it.
(0039823)
apv (tester)
2015-04-16 11:22

Dear BugMaster,

Branch CR25671 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 734939e886487b77024b068e4c156a23901b6f12

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)
(0040982)
git (administrator)
2015-05-14 16:28

Branch CR25671 has been deleted by inv.

SHA-1: 734939e886487b77024b068e4c156a23901b6f12

- Related Changesets
occt: master f25b82d6
Timestamp: 2015-04-16 08:45:10
Author: apl
Committer: bugmaster
Details ] Diff ]
0025671: V3d_View::Convert doesn't work as expected in GRID active mode.

Removed code of converting coordinates to grid in V3d_View::Convert, ::ConvertWithProj methods.
Added test case verifying MoveTo with activated grid and testing V3d_View::Convert, ::ConvertWithProj methods.
Added new test command "vconvert" for testing the conversion methods.

gcc compilation warnings
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug25671 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-27 17:42 Vico Liang New Issue
2014-12-27 17:42 Vico Liang Assigned To => kgv
2014-12-27 17:50 Vico Liang Note Added: 0035819
2014-12-29 11:20 kgv Assigned To kgv => apl
2015-04-06 15:25 kgv Status new => assigned
2015-04-10 09:29 kgv Relationship added related to 0025672
2015-04-14 08:26 git Note Added: 0039661
2015-04-14 08:40 apl Additional Information Updated View Revisions
2015-04-14 08:41 apl Note Added: 0039662
2015-04-14 08:41 apl Assigned To apl => kgv
2015-04-14 08:41 apl Status assigned => resolved
2015-04-14 08:41 apl Steps to Reproduce Updated View Revisions
2015-04-14 08:46 kgv Note Added: 0039663
2015-04-14 08:46 kgv Severity block => minor
2015-04-14 08:46 kgv Status resolved => reviewed
2015-04-14 08:46 kgv Summary V3d_View::Convert doesn't work as expected in GRID active mode. => Visualization - V3d_View::Convert() does not work as expected in GRID active mode
2015-04-14 17:24 apv Assigned To kgv => apv
2015-04-15 17:45 apv Test case number => bugs vis(004) bug25671
2015-04-15 17:50 apv Note Added: 0039800
2015-04-15 17:50 apv Assigned To apv => apl
2015-04-15 17:50 apv Status reviewed => assigned
2015-04-15 17:58 git Note Added: 0039801
2015-04-15 17:59 apl Note Added: 0039802
2015-04-15 17:59 apl Assigned To apl => kgv
2015-04-15 17:59 apl Status assigned => resolved
2015-04-15 18:03 kgv Note Added: 0039803
2015-04-15 18:03 kgv Assigned To kgv => bugmaster
2015-04-15 18:03 kgv Status resolved => reviewed
2015-04-15 18:25 apv Assigned To bugmaster => apv
2015-04-16 11:22 apv Note Added: 0039823
2015-04-16 11:22 apv Assigned To apv => bugmaster
2015-04-16 11:22 apv Status reviewed => tested
2015-04-17 15:40 bugmaster Changeset attached => occt master f25b82d6
2015-04-17 15:40 bugmaster Status tested => verified
2015-04-17 15:40 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0
2015-05-14 16:28 git Note Added: 0040982


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker